%define version 0.17
%define release 4mdk
%define url ftp://sunsite.unc.edu/pub/Linux/system/network/netkit/

Summary: The ping and inetd networking programs.
Name: netkit-base
Version: %{version}
Release: %{release}
Copyright: BSD
Group: System/Base
Source0: %{url}/netkit-base-%{version}.tar.bz2
Source1: inetd.conf.default
Source2: inet.init
Source3: inetd.conf.5.bz2
Patch1: netkit-base-0.16-asnonroot.patch.bz2
Patch2: ping-endianess-%{version}.diff.bz2
Provides: inetd
Prereq: /sbin/chkconfig
Requires: tcp_wrappers
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}

%description
The netkit-base package contains the basic networking tools ping and
inetd.  The ping command sends a series of ICMP protocol ECHO_REQUEST
packets to a specified network host and can tell you if that machine
is alive and receiving network traffic.  Inetd listens on certain
Internet sockets for connection requests, decides what program should
receive each request, and starts up that program.

The netkit-base package should be installed on any machine that is on
a network.

%prep
%setup
%patch1 -p1
%ifarch alpha
%patch2 -p1
%endif

%build
CFLAGS="$RPM_OPT_FLAGS" MANDIR=%{_mandir} ./configure --prefix=%{prefix} 
%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
make INSTALLROOT=$RPM_BUILD_ROOT MANDIR=%{_mandir} \
		BINDIR=$RPM_BUILD_ROOT/%{_bindir} install 

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
install -m 644 $RPM_SOURCE_DIR/inetd.conf.5.bz2 $RPM_BUILD_ROOT%{_mandir}/man5

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init,rc0,rc1,rc2,rc3,rc4,rc5,rc6}.d
install -m 644 $RPM_SOURCE_DIR/inetd.conf.default $RPM_BUILD_ROOT/etc/inetd.conf
install -m 755 $RPM_SOURCE_DIR/inet.init $RPM_BUILD_ROOT/etc/rc.d/init.d/inet

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(4755,root,root)	/bin/ping
%attr(0644,root,root)	%config(noreplace) /etc/inetd.conf
%attr(0755,root,root)	%config /etc/rc.d/init.d/inet
%{_mandir}/*/*
%{_sbindir}/inetd

%changelog
* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-4mdk
- Disable inetd by default.

* Mon Aug 21 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.17-3mdk
- fixed endian patch for alpha

* Thu Aug 03 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-2mdk
- s|postun|preun|;

* Thu Aug  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-1mdk
- 0.17.

* Wed Aug 02 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.16-2mdk
- fixed alpha patch for ping (it still gives 2 unaligned traps, but then
  seems to work OK)

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.16-1mdk
- BM.
- 0.16.

* Wed May 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-24mdk
- fix endianess problem in ping (4 trillion secondes of mtu is a little
  big on a LAN :-(

* Wed May 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.11-23mdk
- By default comment in.ident.

* Tue Mar 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.11-22mdk
- inetd.conf: added a commented line for cvs pserver.

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update the group name for free

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix for swat in order to remove shit from samba postinst scripts (pixel)

* Tue Feb 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.11-19mdk
- Clean-up spec.
- Add rsync entry (disabled by default).

* Sat Feb  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.11-18mdk
- Fix typo in inetd.conf in dtalk entry (#42).

* Wed Jan 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.11-17mdk
- Downgrade to ping 0.10 and ank patch on alpha to don't send wrong
  data bytes.

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- fix build as non-root

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Clean-up patchs.

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- talk use tcp not udp (inetd.conf)

* Thu Jul 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reuploading to fix stupid fast rpm --rebuild && upload package error :-((
  (well have you see the time here, i feeeeeeeel tiiiiiired).

* Tue May 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add security patch from Jean Michel.

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Wed Apr  7 1999 Jeff Johnson <jbj@redhat.com>
- fix inetd fd leak (#695)

* Wed Mar 31 1999 Jeff Johnson <jbj@redhat.com>
- ping flood can send faster than it can receive -- staunch the flow. (#213)

* Tue Mar 30 1999 Bill Nottingham <notting@redhat.com>
- turn off imap/pop by default
- add a buffer overflow patch

* Fri Mar 26 1999 Jeff Johnson <jbj@redhat.com>
- make inetd.conf %config(noreplace).
- fix time service config (#1725).

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- comsat service added (commented out)

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- man page added

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 23)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Wed Jun 17 1998 Jeff Johnson <jbj@redhat.com>
- man page correction (problem #727)
- add build root.

* Fri Jun 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Mike Wangsmo <wanger@redhat.com>
- made /etc/inetd.conf a %config file.  This is a D'oh!

* Mon May 04 1998 Michael K. Johnson <johnsonm@redhat.com>
- fixed iniscript enhancement

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 23 1998 Michael K. Johnson
- enhanced initscript

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added %config(missingok) to init symlinks

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- turned off in runlevel 2
- added status, restart options to init script

* Mon Oct 13 1997 Erik Troan <ewt@redhat.com>
- added chkconfig support

* Wed Aug 27 1997 Erik Troan <ewt@redhat.com>
- fixed init.d symlinks
- fixed permissions on /etc/rc.d/inet
